# -*- coding: utf-8 -*-
from functools import wraps
from urlparse import urlparse
from django.contrib.auth.decorators import login_required, user_passes_test
from django.core.urlresolvers import reverse
from django.http import HttpResponseRedirect


def _auth(func):

    @wraps(func)
    # @login_required
    def _wrapper(request, *args, **kwargs):
        user = request.user

        if not user.is_authenticated():
            path = request.get_full_path()
            login_url = reverse('bbs:signin')
            return HttpResponseRedirect('%s?next=%s'%(login_url, path))
        return func(request, *args, **kwargs)
    return _wrapper
