# # -*- coding: utf-8 -*-

import json
import re
from django.contrib.auth import get_user_model
from django.contrib.auth.backends import ModelBackend
from django.contrib.auth.models import User
from django.core.exceptions import ObjectDoesNotExist
from bbs.exceptions import UserLoginError


class MyOpenBackend(ModelBackend):
    #三方登陆
    def authenticate(self, connect_type,  openid):
        pass


class MyIdentificationBackend(ModelBackend):
    def authenticate(self, identification,  password):
        if re.compile(r'@').findall(identification):
            try:
                user = User.objects.get(email=identification)
            except ObjectDoesNotExist:
                raise UserLoginError('邮箱不存在')
        else:
            try:
                user = User.objects.get(username=identification)
            except ObjectDoesNotExist:
                raise UserLoginError('用户名不存在')
        if user.check_password(password):
            return user
        else:
            raise UserLoginError('密码错误')
