/**
 * Created by root on 14-11-26.
 */
$.fn.serializeObject = function() {
    var o = {};
    var a = this.serializeArray();
    $.each(a, function() {
        if (o[this.name]) {
            if (!o[this.name].push) {
                o[this.name] = [ o[this.name] ];
            }
            o[this.name].push(this.value || '');
        } else {
            o[this.name] = this.value || '';
        }
    });
    return o;
};

$.fn.button_add_disabled = function(){
    this.attr('disabled', true);
    return this;
}

$.fn.button_remove_disabled = function(){
    this.attr('disabled', false);
    return this;
}

$.goto = function(id){
    var element = $('#'+id+':eq(0)');
    if(element){
        $('html,body').animate({
            scrollTop:element.offset().top-30
        });
    }
};

function csrfSafeMethod(method) {
    // these HTTP methods do not require CSRF protection
    return (/^(GET|HEAD|OPTIONS|TRACE)$/.test(method));
}
$.ajaxSetup({
    crossDomain: false, // obviates need for sameOrigin test
    beforeSend: function(xhr, settings) {
        if (!csrfSafeMethod(settings.type)) {
            xhr.setRequestHeader("X-CSRFToken", $.cookie('csrftoken'));
        }
    }
});

window.message_box = (function($) {
     "use strict";

     var elem,
         hideHandler,
         that = {};
     var alertStyles=['alert-info','alert-success','alert-warning', 'alert-danger'];

     that.init = function(options) {
     	if(elem){
     		return;
     	}
     	var html='<div id="message_box_info" class="alert alert-success" style="display:none;width:500px;position:fixed;'+
     	'left:0px;right:0px;margin-left:auto;margin-right:auto;top:30px;z-index:10000;"><button type="button" class="close">&times;</button>'+
     	'<span></span></div>';
     	$("body").append(html);
 		elem=$("#message_box_info");
 		elem.find('button.close').click(function(){
 			that.hide();
 		});
     };

     that.show = function(text,type,time) {
     	if(elem==null ||elem==undefined){
     		that.init();
     	}

     	 for ( var i = 0; i < alertStyles.length; i++) {
     		 elem.removeClass(alertStyles[i]);
         }
     	 elem.addClass('alert-'+type);

         clearTimeout(hideHandler);
         elem.find("span").html(text);
         elem.fadeIn();
         if(time!=null || isNaN(time)){
         	time=4000;
         }

         hideHandler = setTimeout(function() {
             that.hide();
         }, time);
     };

     that.hide = function() {
         elem.fadeOut();
     };


    that.ajax_error = function(data){
        if(!data.status){
            that.show(data.content, 'warning');
        }
    }
     return that;
 }(jQuery));


$(function(){
    //bootstrap select
    $('.bootstrap-select').selectpicker({
        style: 'btn-xs btn-default',
        width: 100
    });


    //头部移动到用户头像，现实用户信息
    $('#top .user-info').hover(function(){
        $('#top .ext-info').show();
    }, function(){
        $('#top .ext-info').hide();

    });


    //=====签到=====
    $('.sign_open').click(function(){
        $('#sign-modal').modal('show');
    });
    $('#sign-modal .ms-sign').click(function(){
        $('#sign-modal').modal('hide');
    });
    $('#sign-modal .moods li').click(function(){
        $(this).addClass('active').siblings().removeClass('active');
    });
    //=====签到 end=====

    //=====myModel====
    var models = {groups:{}, list:[]};

    $(document).on("click", "*[data-toggle=myModal]", function(e){
        e.preventDefault();
        head.load(GV.STATIC_URL+"bbs/js/jquery-ui.js", jQuery.proxy(function(){
            var modal = $('<div class="modal-body"><div class="text-center"><img src="'+GV.STATIC_URL+'bbs/img/loading4.gif"/></div></div>');
            var group = this.attr('data-group');
            if(group){
                if(models.groups[group]){
                    models.groups[group].dialog( "close" );
                }
            }
            $('body').append(modal);
            var option = {
                title: this.attr('title')||null,

                dialogClass: "modal-content myModal",
                close: function( event, ui ) {
                    modal.dialog( "destroy" );
                    modal.remove();
                    if(group){
                        models.groups[group] = null;
                    }
                }
            }
            try{
                var o = $.parseJSON(this.attr('data-option'));
                $.extend(option, o);
            }catch(err){
            }
            if(option.maxHeight){
                option.dialogClass += ' modal-overflow-y';
            }
            option.width = option.width||500;

            modal.dialog(option).load(this.attr('data-remote')||this.attr('href'), function(){
                modal.dialog( "option", "position", { my: "center", at: "center", of: window });
            });

            if(group){
                models.groups[group] = modal;
            }else{
                models.list.push(modal)
            }

        }, $(this)));
    });
    //=====myModel=====



})