/**
 * Created by root on 11/27/14.
 */

$(function(){

    $('#id_captcha').focus(function(){
        var img = $('.captcha-img img');
        if(!img.attr('src')){
            img.attr({'src': img.data('src')}).show().click(function(){
                $(this).attr({'src': img.data('src')+"?v="+Math.random()})
            });
        }
    })
    $('#signin_form').bootstrapValidator({
        container: 'tooltip',
        feedbackIcons: {
            valid: 'glyphicon glyphicon-ok',
            invalid: 'glyphicon glyphicon-remove',
            validating: 'glyphicon glyphicon-refresh'
        },
        fields: {
            identification: {
                notEmpty: {
                    message:'用户名不能为空'
                }
            },
            captcha: {
                notEmpty: {
                    message:'验证码不能为空'
                }
            },
            password: {
                validators: {
                    notEmpty: {
                        message:'密码不能为空'
                    },
                    regexp: {
                        regexp: /^[A-Za-z0-9\^$\.\+\*_@!#%&~=-]{6,32}$/,
                        message:'密码只能为 6 - 32 位数字，字母及常用符号组成。'
                    },
                    stringLength: {
                        min: 6,
                        max: 30,
                        message:'密码只能为 6 - 32 位数字，字母及常用符号组成。'
                    }
                }
            }
        }
    }).on('success.form.bv', function(e) {
        e.preventDefault();
        var $form = $(e.target);
        $.ajax({
            type: "POST",
            dataType:'json',
            contentType:'application/json;charset=UTF-8',
            url: GV.SIGNIN,
            data: $.toJSON($form.serializeObject()),
            success: function(data){
                if(data.status){
                    location.href = data.url;
                }else{
                    if(data.c){
                        if($('.captcha-div').is(':visible'))
                            $('.captcha-div img').click();
                        else
                            $('.captcha-div').show();

                    }
                    message_box.ajax_error(data);
                }
            }
        });
    })

    $('#signup_form').bootstrapValidator({
        container: 'tooltip',
        feedbackIcons: {
            valid: 'glyphicon glyphicon-ok',
            invalid: 'glyphicon glyphicon-remove',
            validating: 'glyphicon glyphicon-refresh'
        },
        fields: {
            username: {
                validators: {
                    notEmpty: {
                        message:'用户名不能为空'
                    },
                    stringLength: {
                        min: 6,
                        max: 30,
                        message:'用户名长度为6-30'
                    },
                    regexp: {
                        regexp: /(?!^\d[A-Za-z0-9_-]*$)^[A-Za-z0-9_-]{6,25}$/,
                        message:'用户名格式错误'
                    },
                    remote: {
                        type: 'POST',
                        url: GV.CHECK_USERNAME,
                        message: '用户名错误',
                        delay: 1000
                    }
                }
            },
            tos:{
                feedbackIcons:false
            },
            email:{
                validators: {
                    notEmpty: {
                        message:'邮箱不能为空'
                    },
                    remote: {
                        type: 'POST',
                        url: GV.CHECK_EMAIL,
                        message: '用户名错误',
                        delay: 1000
                    }
                }
            },
            password: {
                validators: {
                    notEmpty: {
                        message:'密码不能为空'
                    },
                    regexp: {
                        regexp: /^[A-Za-z0-9\^$\.\+\*_@!#%&~=-]{6,32}$/,
                        message:'密码只能为 6 - 32 位数字，字母及常用符号组成。'
                    },
                    stringLength: {
                        min: 6,
                        max: 30,
                        message:'密码只能为 6 - 32 位数字，字母及常用符号组成。'
                    }
                }
            }
        }
    }).on('success.form.bv', function(e) {
        e.preventDefault();
        var $form = $(e.target);
        $.ajax({
            type: "POST",
            dataType:'json',
            contentType:'application/json;charset=UTF-8',
            url: GV.SIGNUP,
            data: $.toJSON($form.serializeObject()),
            success: function(data){
                if(data.status){
                    location.href = data.url;
                }else{
                    message_box.ajax_error(data);
                }
            }
        });
    });
})