from django.conf.urls import patterns, include, url

from django.contrib import admin
from tastypie.api import Api
from bbs import defaults
from bbs.resource import TopicScoreResource
from bbs.resource import TopicCommentResource
from bbs.resource.resource import UserResource, ForumResource, CategoryResource, TopicResource, ReportResource

admin.autodiscover()

api = Api('v1')
api.register(UserResource())
api.register(CategoryResource())
api.register(ForumResource())
api.register(TopicResource())
api.register(ReportResource())

api.register(TopicScoreResource.TopicScoreResource())
api.register(TopicCommentResource.TopicCommentResource())

urlpatterns = patterns('bbs.views',
                       # ====HOME===
                       url('^$', 'home_view', {'template_name': 'bbs/home.html'}, name='home'),
                       #====accounts===
                       url('^signup%s$' % defaults.URL_EXP, 'signup_view', {'template_name': 'bbs/signup.html'},
                           name='signup'),
                       url('^signin%s$' % defaults.URL_EXP, 'signin_view', {'template_name': 'bbs/signin.html'},
                           name='signin'),
                       url('^signout%s$' % defaults.URL_EXP, 'signout_view', name='signout'),

                       url('^account%s$' % defaults.URL_EXP, 'account_view', {'template_name': 'bbs/account.html'},
                           name='account'),


                       url('^captcha%s$' % defaults.URL_EXP, 'captcha_view', name='captcha'),


                       url('^forum%s$' % defaults.URL_EXP, 'forum_list_view', {'template_name': 'bbs/forum_list.html'},
                           name='forum'),
                       url("^forum-(?P<c>\d+)%s$" % defaults.URL_EXP, 'forum_list_view',
                           {'template_name': 'bbs/forum_list.html'}, name='forum_category'),
                       url("^forum/(?P<pk>\d+)%s$" % defaults.URL_EXP, 'forum_view',
                           {'template_name': 'bbs/forum.html'}, name='forum_detail'),

                       url('^topic/goto/(?P<pk>\d+)%s$' % defaults.URL_EXP, 'topic_goto', name='topic_goto'),
                       url('^topic/(?P<pk>\d+)%s$' % defaults.URL_EXP, 'topic_view', {'template_name': 'bbs/topic.html'}, name='topic_detail'),
                       url('^topic/new-(?P<tab>(reward|vote|topic))-(?P<pk>\d+)%s$' % defaults.URL_EXP, 'topic_new',
                           {'template_name': 'bbs/topic_new.html'}, name='topic_new'),

                       url(r'^api/', include(api.urls)),
)


